if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686")
    message(FATAL_ERROR "i686 is not supported")
endif()

if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
    SET(ARCH_DIR "x86_64/unix")
elseif(DEFINED CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE)
    SET(ARCH_DIR ${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE})
else()
    SET(ARCH_DIR ${CMAKE_SYSTEM_PROCESSOR})
endif()
